org.eclipse.wst.jsdt.chromium.debug.ui

## Enum DialogUtils.MessagePriority

- java.lang.Object
- - java.lang.Enum<DialogUtils.MessagePriority>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.MessagePriority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DialogUtils.MessagePriority>

Enclosing class:
  DialogUtils

    public static enum DialogUtils.MessagePriority
    extends java.lang.Enum<DialogUtils.MessagePriority>

Priority of a user interface message. Constants are listed from most important to least important.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCKING_INFO`
`BLOCKING_PROBLEM`
`NONE`
`WARNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getMessageProviderType()`
`static DialogUtils.MessagePriority` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DialogUtils.MessagePriority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BLOCKING_PROBLEM

    public static final DialogUtils.MessagePriority BLOCKING_PROBLEM

#### BLOCKING_INFO

    public static final DialogUtils.MessagePriority BLOCKING_INFO

#### WARNING

    public static final DialogUtils.MessagePriority WARNING

#### NONE

    public static final DialogUtils.MessagePriority NONE

### Method Detail

#### values

    public static DialogUtils.MessagePriority[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DialogUtils.MessagePriority c : DialogUtils.MessagePriority.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DialogUtils.MessagePriority valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getMessageProviderType

    public int getMessageProviderType()